import { useState } from "react";
import Display from "./Display";
import Button from "./Button";
import "./App.css";

function App() {
  const [input, setInput] = useState("");                 
  const [running, setRunning] = useState(false);          
  const [count, setCount] = useState(0);                  
  const [secondsLeft, setSecondsLeft] = useState(0);      

  const startCountdown = () => {                          
    const seconds = parseInt(input, 10);                  
    if (running || isNaN(seconds) || seconds <= 0) return;  



    setRunning(true);                                                                           
    setSecondsLeft(seconds);                              

    const interval = setInterval(() => {                  
      setSecondsLeft((prev) => {                          

        if (prev <= 1) {                                
          clearInterval(interval);                       
          setRunning(false);                              
          setCount((c) => c + 1);                        
          return 0;                                       
        }
        return prev - 1;                                  
      });
    }, 1000);                                             
  };

  return (                                                
    <div className="container">                           
      <h1>Countdown Timer</h1>                             

      <input
        type="number"
        value={input}                                     
        onChange={(e) => setInput(e.target.value)}        
        placeholder="Sekunden eingeben"                 
        disabled={running}                                

                                                            
     />
                                                           
      <Button myText="Start" callBack={startCountdown} />   

      <Display
        myVal={secondsLeft > 0 ? secondsLeft : count}
        isCountdown={secondsLeft > 0}
      />
    </div>
  );
}

export default App;
